%define name banter
%define version 0.1.11
%define release %mkrel 3

Summary: Next Generation Real Time Collaboration Client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1: Banter.exe.config
License: GPL
Group: Networking/Instant messaging
Url: http://live.gnome.org/Banter
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: telepathy-sharp
BuildRequires: gnome-keyring-sharp
BuildRequires: libGConf2-devel
BuildRequires: ndesk-dbus-glib
BuildRequires: gnome-sharp2
BuildRequires: notify-sharp
BuildRequires: desktop-file-utils
Requires: gstreamer0.10-farsight
Requires: telepathy-gabble
Requires: telepathy-stream-engine

%description
Banter will become a next generation real time collaboration client
focused on the big three: text, voice and video centered on a dynamic,
innovative and easy to use contact management system.

%prep
%setup -q

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#gw symlink for gnome-keyring-sharp, which isn't yet in the GAC
ln -s %_prefix/lib/Gnome.Keyring/Gnome.Keyring.dll %buildroot%_prefix/lib/banter
cp %SOURCE1 %buildroot%_prefix/lib/banter/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas banter

%preun
%preun_uninstall_gconf_schemas banter

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS
%_sysconfdir/gconf/schemas/banter.schemas
%_bindir/banter
%_prefix/lib/banter
%_datadir/applications/banter.desktop
%_datadir/banter
%_datadir/icons/hicolor/*/apps/banter.*
%_datadir/pixmaps/*


%changelog
* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-3mdv2008.0
+ Revision: 75361
- add dll mapping

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-2mdv2008.0
+ Revision: 71983
- fix menu entry
- make it find the Gnome.Keyring.dll

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2008.0
+ Revision: 71931
- Import banter



* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2008.0
- initial package
